Debian Bug report logs - #38353
for(x; y; ) makes mawk dump core

version graph

Package: mawk; Maintainer for mawk is Steve Langasek <vorlon@debian.org>; Source for mawk is src:mawk.

Reported by: Santiago Vila <sanvila@unex.es>

Date: Wed, 26 May 1999 11:52:01 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version 1.3.3-2

Forwarded to brennan@whidbey.com

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sanvila@unex.es, James Troup <awkmaint@nocrew.org>:
Bug#38353; Package mawk. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
New bug report received and forwarded. Copy sent to sanvila@unex.es, James Troup <awkmaint@nocrew.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Debian Bugs <submit@bugs.debian.org>
Subject: a very simple program makes mawk to crash
Date: Wed, 26 May 1999 13:38:25 +0200 (CET)
Package: mawk
Version: 1.3.3-2

When I run the following mawk program:

#!/usr/bin/mawk -f
BEGIN {
  foo(b)
  b
  for (;;) {
  }
}
function foo(b)
{
  return 0
}

I get:

Segmentation fault (core dumped)


Thanks.

-- 
 "3db6fca70db0287961d1325429235f69" (a truly random sig)



Noted your statement that bug has been forwarded to brennan@whidbey.com. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Santiago Vila <sanvila@unex.es>:
Bug#38353. (Sun, 12 Jul 2009 20:27:06 GMT) Full text and rfc822 format available.

Message #10 received at 38353-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 38353-submitter@bugs.debian.org
Subject: re: #38353 a very simple program makes mawk to crash
Date: Sun, 12 Jul 2009 16:22:20 -0400
[Message part 1 (text/plain, inline)]
I've an updated version of mawk here, which fixes the problem:

	ftp://invisible-island.net/mawk/

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Tue, 28 Jul 2009 08:51:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#38353; Package mawk. (Wed, 30 Dec 2009 13:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Wed, 30 Dec 2009 13:51:06 GMT) Full text and rfc822 format available.

Message #17 received at 38353@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: 38353@bugs.debian.org
Subject: Re: Bug#38353 a very simple program makes mawk to crash
Date: Wed, 30 Dec 2009 14:38:30 +0100 (CET)
Hello Steve.

Any progress on this bug, now that we have a new upstream?
If there is any way I could help here, I would be willing to help.

Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#38353; Package mawk. (Mon, 01 Mar 2010 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 01 Mar 2010 21:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 38353@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Santiago Vila <sanvila@unex.es>, control@bugs.debian.org
Cc: 38353@bugs.debian.org
Subject: Re: a very simple program makes mawk to crash
Date: Mon, 1 Mar 2010 14:58:21 -0600
retitle 38353 for(x; y; ) makes mawk dump core
tags 38353 + patch
thanks

Santiago Vila wrote:

> #!/usr/bin/mawk -f
> BEGIN {
>   foo(b)
>   b
>   for (;;) {
>   }
> }
> function foo(b)
> {
>   return 0
> }
> 
> I get:
> 
> Segmentation fault (core dumped)

Fixed AFAICT in mawk 1.3.3-20090711 (I know later version work, but
haven’t bothered to check just the fix yet).  The most obvious
relevant change is in jmp.c:
http://git.debian.org/?p=collab-maint/mawk.git;a=blobdiff;f=jmp.c;h=cb466ca6;hb=8044617;hpb=6e68fb445

I have not checked that that change alone is enough to fix the
segfault, but it should be easy enough to check.

Hope that helps,
Jonathan




Changed Bug title to 'for(x; y; ) makes mawk dump core' from 'a very simple program makes mawk to crash' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 01 Mar 2010 21:03:07 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 01 Mar 2010 21:03:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:13:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.